# Normal Dockerfile 
# FROM node:20-alpine

# WORKDIR /app

# COPY package*.json  .

# RUN npm i

# COPY . .

# EXPOSE 3000

# CMD [ "npm","start" ]



# MultiStage Dockerfile 
# Stage 1
FROM node:20-alpine AS build

WORKDIR /app

COPY package*.json .

RUN npm install

# Stage 2
FROM node:20-alpine 

WORKDIR /app

COPY --from=build /app  .

EXPOSE 3000

CMD [ "npm","start" ]



